Bug 457011 - We need tool to allow user edit NOCpulse.ini
We need tool to allow user edit NOCpulse.ini
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.1
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space07
  Show dependency treegraph
 
Reported: 2008-07-29 03:58 EDT by Miroslav Suchý
Modified: 2009-12-07 07:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 07:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-07-29 03:58:37 EDT
Description of problem:
If user edit /etc/NOCpulse.ini by hand, it is overwritten during monitoring
restart. The relevant data for this file is stored in DB (tables RHN_CONFIG_*)
and we have no client tools to edit this options. 
We should have one.
Comment 1 Jesus M. Rodriguez 2009-01-16 21:33:46 EST
How about we don't do put the file in /etc? If it's not user editable. Let's put it in /usr/share or some other place.
Comment 2 Miroslav Suchý 2009-01-19 03:48:51 EST
The file is hardcoded on too much places. It will be big pain to move it. IMO not needed and not worth of work. 
And it is still configuration file. Although not editable.
Comment 3 Miroslav Suchý 2009-07-23 04:33:20 EDT
Done with commits:
4c8bfa73ccf479355c87141aa6914b2fdb716ffd
6e2a26e27f874d4870cc9e9c9d36ea0768b95cff
a692c45fef62adf9417bbe100abe9c7f463463c1
Comment 4 Miroslav Suchý 2009-12-07 07:02:33 EST
Spacewalk 0.7 released.

Note You need to log in before you can comment on or make changes to this bug.